Bug 45299 - Using a custom TypeConverter causes a "Sequence contains more than one matching element" compile error
Summary: Using a custom TypeConverter causes a "Sequence contains more than one matchi...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.2
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: ---
Assignee: Stephane Delcroix
URL:
Depends on:
Blocks:
 
Reported: 2016-10-12 01:00 UTC by Marco Tambalo
Modified: 2017-07-05 10:34 UTC (History)
5 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample solution for checking the issue. (45.31 KB, application/zip)
2016-10-12 01:00 UTC, Marco Tambalo
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Marco Tambalo 2016-10-12 01:00:42 UTC
Created attachment 17990 [details]
Sample solution for checking the issue.

It seems that XAML compilation is causing this. When it is not used, the error does not manifest.
I attached a sample solution for checking.
Comment 1 Stephane Delcroix 2017-01-25 16:05:23 UTC
fixed in https://github.com/xamarin/Xamarin.Forms/pull/718
Comment 2 Stephane Delcroix 2017-01-25 16:06:27 UTC
in the meantime, you can get going by removing every static from your type converter so there's no static constructor generated, and you won't hit the bug
Comment 3 Samantha Houts [MSFT] 2017-01-30 19:55:51 UTC
Should be fixed in 2.3.5-pre1. Thank you!